Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001457Frama-CKernelpublic2013-07-11 15:142014-03-13 15:57
Reporteryakobowski 
Assigned Tovirgile 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in VersionFrama-C Neon-20140301 
Summary0001457: Incorrect printing of designated initializers
DescriptionThe code below is incorrectly pretty-printed back, although the internal AST seems to be correct.

int t[10] = { [4 ... 6] = 5};
int u[10] = { [4] = 3};

void main() {
}
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004565)

2014-02-12 16:57

Fix committed to stable/neon branch.

- Issue History
Date Modified Username Field Change
2013-07-11 15:14 yakobowski New Issue
2013-07-11 15:14 yakobowski Status new => assigned
2013-07-11 15:14 yakobowski Assigned To => virgile
2013-07-11 19:24 svn Checkin
2013-07-11 19:24 svn Status assigned => resolved
2013-07-11 19:24 svn Resolution open => fixed
2014-02-12 16:57 Note Added: 0004565
2014-03-13 15:56 signoles Fixed in Version => Frama-C Neon-20140301
2014-03-13 15:57 signoles Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker